Page MenuHomePhabricator

efl_ui_mutli_selectable: stabelize interfaces
ClosedPublic

Authored by bu5hm4n on Nov 25 2019, 4:56 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Nov 25 2019, 4:56 AM
bu5hm4n requested review of this revision.Nov 25 2019, 4:56 AM
segfaultxavi requested changes to this revision.Nov 26 2019, 12:23 AM

This fails to build for me:

eolian: efl_ui_collection_view.eo:1:1: unimplemented function 'select_mode' (originally defined at efl_ui_multi_selectable.eo:12:17)
eolian: efl_ui_collection_view.eo:1:1: unimplemented function 'all_select' (originally defined at efl_ui_multi_selectable.eo:18:7)
eolian: efl_ui_collection_view.eo:1:1: unimplemented function 'all_unselect' (originally defined at efl_ui_multi_selectable.eo:21:7)
This revision now requires changes to proceed.Nov 26 2019, 12:23 AM

@q66 ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping ping

q66 added a comment.Dec 3 2019, 4:46 AM

yeah, i'm on it

q66 accepted this revision.Dec 3 2019, 4:47 AM

Otherwise looks good to me

but let's wait till the bug is fixed :P

q66 added a comment.Dec 4 2019, 6:07 AM
This comment was removed by q66.
q66 added a comment.Dec 4 2019, 6:10 AM
This comment was removed by q66.
q66 added a comment.Dec 4 2019, 6:34 AM

T8491 is fixed now.

This revision was not accepted when it landed; it landed in state Needs Revision.Dec 4 2019, 7:49 AM
Closed by commit rEFL655472d9c9af: efl_ui_mutli_selectable: stabelize interfaces (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.